"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ConfigResolver_1 = require("./ConfigResolver");
const dotProp = require('dot-prop');
class ConfigRepository {
    constructor() {
        this.config = ConfigResolver_1.default.execute();
    }
    get all() {
        return this.config;
    }
    get(key) {
        let result = dotProp.get(this.config, key);
        if (result == null) {
            const selectors = key.split('.');
            result = dotProp.get(this.config, `default.${selectors[selectors.length - 1]}`);
        }
        return result;
    }
    set(key, value) {
        dotProp.set(this.config, key, value);
    }
    has(key) {
        return dotProp.has(this.config, key);
    }
}
exports.default = ConfigRepository;
//# sourceMappingURL=ConfigRepository.js.map